<?php

/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package Affiliate Eye
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */

function affiliate_eye_body_classes($classes)
{
	// Adds a class of hfeed to non-singular pages.
	if (!is_singular()) {
		$classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if (!is_active_sidebar('sidebar-1')) {
		$classes[] = 'no-sidebar';
	}

	return $classes;
}
add_filter('body_class', 'affiliate_eye_body_classes');

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function affiliate_eye_pingback_header()
{
	if (is_singular() && pings_open()) {
		printf('<link rel="pingback" href="%s">', esc_url(get_bloginfo('pingback_url')));
	}
}
add_action('wp_head', 'affiliate_eye_pingback_header');

if (!function_exists('BLOG_GROW_content_reading_time')) :
	function BLOG_GROW_content_reading_time()
	{
		$BLOG_GROW_post_id = get_the_ID();
		$BLOG_GROW_content = get_the_content($BLOG_GROW_post_id);
		$BLOG_GROW_striped_tag = strip_tags($BLOG_GROW_content);
		$BLOG_GROW_word_count = str_word_count($BLOG_GROW_striped_tag);
		$BLOG_GROW_reading_minute = ceil($BLOG_GROW_word_count / 200);
		$BLOG_GROW_reading_second = ceil($BLOG_GROW_word_count % 200 / (200 / 60));
		$BLOG_GROW_second_zero = $BLOG_GROW_reading_second < 10 ? 0 : '';
		$BLOG_GROW_reading_time = sprintf('%s ' . __('Minute', 'blog-grow'), $BLOG_GROW_reading_minute, $BLOG_GROW_second_zero, $BLOG_GROW_reading_second);
		return $BLOG_GROW_reading_time;
	}
endif;
